"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdatedUrlFromQuery = exports.useAPIRefParam = void 0;
const ui_foundation_ui_react_router_use_query_1 = require("@teambit/ui-foundation.ui.react-router.use-query");
const base_react_navigation_link_1 = require("@teambit/base-react.navigation.link");
function useAPIRefParam(key) {
    const query = (0, ui_foundation_ui_react_router_use_query_1.useQuery)();
    const queryParam = query.get(key);
    return queryParam !== null && queryParam !== void 0 ? queryParam : undefined;
}
exports.useAPIRefParam = useAPIRefParam;
function useUpdatedUrlFromQuery(queryParams) {
    const query = (0, ui_foundation_ui_react_router_use_query_1.useQuery)();
    const location = (0, base_react_navigation_link_1.useLocation)() || { pathname: '/' };
    // @ts-ignore
    const queryObj = Object.fromEntries(query.entries());
    const updatedObj = Object.assign(Object.assign({}, queryObj), queryParams);
    const queryString = new URLSearchParams(updatedObj).toString();
    const isOnAPIRefSubroute = location.pathname.includes('~api-reference');
    const apiRefSubRoute = isOnAPIRefSubroute ? '' : '/~api-reference';
    return `${location.pathname}${apiRefSubRoute}?${queryString}`;
}
exports.useUpdatedUrlFromQuery = useUpdatedUrlFromQuery;
//# sourceMappingURL=use-api-ref-url.js.map